// Copyright 2020 github.com. All rights reserved.
// Use of this source code is governed by github.com.

/**
 * @Author: mac
 * @Description:
 * @Date: 2020/3/25 10:06
 */

package trace

import "strings"

var (
	RedisSet    = "REDIS:SET"
	RedisSetEx  = "REDIS:SETEX"
	RedisGet    = "REDIS:GET"
	RedisSadd   = "REDIS:SADD"
	RedisZadd   = "REDIS:ZADD"
	RedisExpire = "REDIS:EXPIRE"
	RedisZcard  = "REDIS:ZCARD"
	RedisDel    = "REDIS:DEL"
	SetNxEx     = "REDIS:SetNxEx"
)

// 方法调用
func FuncCall(operateName string) string {
	return "Func:" + operateName
}

// 第三方http调用
func ThirdPartyHttp(method, operateName string) string {
	return "ThirdPartyHttp:" + strings.ToUpper(method) + ":" + operateName
}

func ThirdPartyHttps(method, operateName string) string {
	return "ThirdPartyHttps:" + strings.ToUpper(method) + ":" + operateName
}
